Thursday, October 24, 2019

wordpress Error on line 2: The processing instruction target matching "[xX][mM][lL]" is not allowed.

this error really showed me how outdated the links on google search are . All the solutions were not working

Error on line 2: The processing instruction target matching "[xX][mM][lL]" is not allowed.


If still, your problem exists furthermore you probably have to check above 3 possibilities in wp-config.phpwp-rss2.phpwp-atom.php files. https://speedysense.com/wordpress-blank-line-before-xml-declaration-rss-feed-does-not-validate/

These files did not even exist in the latest version of wordpress. Finally it was the theme which caused the error . Changing the theme to the default theme fixed the issue 

Monday, October 7, 2019

disable openvpn ubuntu

Run: sudo update-rc.d openvpn disable. Then you'll have to run sudo service openvpn start to manually start the VPN.
Or edit the file /etc/default/openvpn sudo gedit /etc/default/openvpn. And uncomment the line: #AUTOSTART="none" So it looks like: AUTOSTART="none"

https://askubuntu.com/questions/302933/how-to-disable-openvpn-from-autostarting-at-boot-up-or-reboot

ubuntu upgrade to 19.10 break display - gnome desktop

i had a terrible time trying to fix my broken display after upgrading to 19.10

the screen kept giving "out of range " error


Setting up iio-sensor-proxy (2.8-0ubuntu1) ...
iio-sensor-proxy.service is a disabled or a static unit, not starting it.
Setting up libdecoration0:amd64 (1:0.9.14.0+19.10.20190918-0ubuntu1) ...
https://askubuntu.com/questions/1076518/iio-sensor-proxy-service-hangs-on-shutdown
https://packages.debian.org/sid/iio-sensor-proxy

Created symlink /etc/systemd/system/timers.target.wants/e2scrub_all.timer → /lib/systemd/system/e2scrub_all.timer.
Created symlink /etc/systemd/system/default.target.wants/e2scrub_reap.service → /lib/systemd/system/e2scrub_reap.service.
e2scrub_all.service is a disabled or a static unit not running, not starting it.
https://github.com/tytso/e2fsprogs/blob/master/scrub/e2scrub_all.service.in
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1846499

Installing new version of config file /etc/apparmor.d/usr.bin.man ...
Updating database of manual pages ...
man-db.service is a disabled or a static unit, not starting it.


fprintd.service is a disabled or a static unit not running, not starting it.
https://lists.fedoraproject.org/pipermail/users/2013-October/441720.html
https://linux.die.net/man/1/fprintd
https://bugzilla.redhat.com/show_bug.cgi?id=1170727

Installing new version of config file /etc/apparmor.d/usr.lib.snapd.snap-confine.real ...
Installing new version of config file /etc/xdg/autostart/snap-userd-autostart.desktop ...
snapd.failure.service is a disabled or a static unit, not starting it.
snapd.snap-repair.service is a disabled or a static unit, not starting it.
https://askubuntu.com/questions/1037431/receiving-the-error-snapd-snap-repair-service-is-a-disabled-or-a-static-unit-n
https://askubuntu.com/questions/1144467/cant-install-snapd-on-ubuntu-18-04-2-lts
https://askubuntu.com/questions/1042124/snapd-snap-repair-service-is-a-disabled-or-a-static-unit-not-starting-it?noredirect=1&lq=1

Installing new version of config file /etc/apport/crashdb.conf ...
apport-autoreport.service is a disabled or a static unit, not starting it.
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1787729


Installing new version of config file /etc/geoclue/geoclue.conf ...
geoclue.service is a disabled or a static unit not running, not starting it.
https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
https://askubuntu.com/questions/142581/is-ubuntu-geoip-geoclue-used-for-tracking

fwupd-offline-update.service is a disabled or a static unit not running, not starting it.
https://github.com/fwupd/fwupd/blob/master/data/fwupd-offline-update.service.in
https://github.com/fwupd/fwupd


dpkg: warning: while removing linux-modules-5.0.0-29-generic, directory '/lib/modules/5.0.0-29-generic' not empty so not removed
dpkg: warning: while removing linux-modules-5.0.0-27-generic, directory '/lib/modules/5.0.0-27-generic' not empty so not removed

Warning: Stopping motd-news.service, but it can still be activated by:
  motd-news.timer
Installing new version of config file /etc/update-motd.d/50-motd-news ...
motd-news.service is a disabled or a static unit, not starting it.
https://raymii.org/s/tutorials/Disable_dynamic_motd_and_motd_news_spam_on_Ubuntu_18.04.html
https://github.com/laravel/homestead/issues/930

apt-daily-upgrade.service is a disabled or a static unit not running, not starting it.
apt-daily.service is a disabled or a static unit not running, not starting it.
https://askubuntu.com/questions/800479/ubuntu-16-04-slow-boot-apt-daily-service
https://unix.stackexchange.com/questions/492221/is-it-safe-to-disable-apt-daily-service


Preparing to unpack .../032-busybox-static_1%3a1.30.1-4ubuntu4_amd64.deb ...
Unpacking busybox-static (1:1.30.1-4ubuntu4) over (1:1.27.2-2ubuntu7) ...

resolvconf-pull-resolved.service is a disabled or a static unit, not starting it.

and these errors below when running dpkg from safe mode/recovery mode .
Calculating the changes
No candidate ver:  account-plugin-flickr
No candidate ver:  biometryd-bin
No candidate ver:  content-hub
No candidate ver:  fwupdate-signed
No candidate ver:  gksu
No candidate ver:  indicator-network
No candidate ver:  indicator-transfer
No candidate ver:  kerneloops-daemon
No candidate ver:  ksplice-uptrack
No candidate ver:  libgksu2-0
No candidate ver:  libgnome-keyring0
No candidate ver:  libgnustep-gui0.26
No candidate ver:  libhybris
No candidate ver:  libpython3.5-minimal
No candidate ver:  libpython3.6-minimal
No candidate ver:  libsensors4
No candidate ver:  libubuntu-location-service3
No candidate ver:  libunistring0
No candidate ver:  linux-image-4.10.0-19-generic
No candidate ver:  linux-image-4.10.0-30-generic
No candidate ver:  linux-image-4.10.0-33-generic
No candidate ver:  linux-image-4.10.0-35-generic
No candidate ver:  linux-image-4.10.0-37-generic
No candidate ver:  linux-image-4.13.0-16-generic
No candidate ver:  linux-image-4.13.0-17-generic
No candidate ver:  linux-image-4.13.0-19-generic
No candidate ver:  linux-image-4.13.0-21-generic
No candidate ver:  linux-image-4.13.0-25-generic
No candidate ver:  linux-image-4.13.0-31-generic
No candidate ver:  linux-image-4.13.0-32-generic
No candidate ver:  linux-image-4.13.0-36-generic
No candidate ver:  linux-image-4.13.0-37-generic
No candidate ver:  linux-image-4.13.0-38-generic
No candidate ver:  linux-image-4.13.0-39-generic
No candidate ver:  linux-image-4.15.0-20-generic
No candidate ver:  linux-image-4.15.0-22-generic
No candidate ver:  linux-image-4.15.0-23-generic
No candidate ver:  linux-image-4.15.0-24-generic
No candidate ver:  linux-image-4.15.0-29-generic
No candidate ver:  linux-image-4.15.0-30-generic
No candidate ver:  linux-image-4.15.0-32-generic
No candidate ver:  linux-image-4.15.0-33-generic
No candidate ver:  linux-image-4.15.0-34-generic
No candidate ver:  linux-image-4.15.0-36-generic
No candidate ver:  linux-image-4.15.0-38-generic
No candidate ver:  linux-image-4.15.0-39-generic
No candidate ver:  linux-image-4.15.0-43-generic
No candidate ver:  linux-image-4.15.0-44-generic
No candidate ver:  linux-image-4.15.0-45-generic
No candidate ver:  linux-image-4.15.0-46-generic
No candidate ver:  linux-image-4.15.0-48-generic
No candidate ver:  linux-image-4.18.0-18-generic
No candidate ver:  linux-image-5.0.0-13-generic
No candidate ver:  linux-image-5.0.0-15-generic
No candidate ver:  linux-image-5.0.0-16-generic
No candidate ver:  linux-image-5.0.0-17-generic
No candidate ver:  linux-image-5.0.0-19-generic
No candidate ver:  linux-image-5.0.0-20-generic
No candidate ver:  linux-image-5.0.0-21-generic
No candidate ver:  linux-image-5.0.0-23-generic
No candidate ver:  linux-image-5.0.0-25-generic
No candidate ver:  linux-image-extra-4.10.0-19-generic
No candidate ver:  linux-image-extra-4.10.0-30-generic
No candidate ver:  linux-image-extra-4.10.0-33-generic
No candidate ver:  linux-image-extra-4.10.0-35-generic
No candidate ver:  linux-image-extra-4.10.0-37-generic
No candidate ver:  linux-image-extra-4.13.0-16-generic
No candidate ver:  linux-image-extra-4.13.0-17-generic
No candidate ver:  linux-image-extra-4.13.0-19-generic
No candidate ver:  linux-image-extra-4.13.0-21-generic
No candidate ver:  linux-image-extra-4.13.0-25-generic
No candidate ver:  linux-image-extra-4.13.0-31-generic
No candidate ver:  linux-image-extra-4.13.0-32-generic
No candidate ver:  linux-image-extra-4.13.0-36-generic
No candidate ver:  linux-image-extra-4.13.0-37-generic
No candidate ver:  linux-image-extra-4.13.0-38-generic
No candidate ver:  linux-image-extra-4.13.0-39-generic
No candidate ver:  linux-modules-4.15.0-20-generic
No candidate ver:  linux-modules-4.15.0-22-generic
No candidate ver:  linux-modules-4.15.0-23-generic
No candidate ver:  linux-modules-4.15.0-24-generic
No candidate ver:  linux-modules-4.15.0-29-generic
No candidate ver:  linux-modules-4.15.0-30-generic
No candidate ver:  linux-modules-4.15.0-32-generic
No candidate ver:  linux-modules-4.15.0-33-generic
No candidate ver:  linux-modules-4.15.0-34-generic
No candidate ver:  linux-modules-4.15.0-36-generic
No candidate ver:  linux-modules-4.15.0-38-generic
No candidate ver:  linux-modules-4.15.0-39-generic
No candidate ver:  linux-modules-4.15.0-43-generic
No candidate ver:  linux-modules-4.15.0-44-generic
No candidate ver:  linux-modules-4.15.0-45-generic
No candidate ver:  linux-modules-4.15.0-46-generic
No candidate ver:  linux-modules-4.15.0-48-generic
No candidate ver:  linux-modules-4.18.0-18-generic
No candidate ver:  linux-modules-5.0.0-13-generic
No candidate ver:  linux-modules-5.0.0-15-generic
No candidate ver:  linux-modules-5.0.0-16-generic
No candidate ver:  linux-modules-5.0.0-17-generic
No candidate ver:  linux-modules-5.0.0-19-generic
No candidate ver:  linux-modules-5.0.0-20-generic
No candidate ver:  linux-modules-5.0.0-21-generic
No candidate ver:  linux-modules-5.0.0-23-generic
No candidate ver:  linux-modules-5.0.0-25-generic
No candidate ver:  linux-modules-extra-4.15.0-20-generic
No candidate ver:  linux-modules-extra-4.15.0-22-generic
No candidate ver:  linux-modules-extra-4.15.0-23-generic
No candidate ver:  linux-modules-extra-4.15.0-24-generic
No candidate ver:  linux-modules-extra-4.15.0-29-generic
No candidate ver:  linux-modules-extra-4.15.0-30-generic
No candidate ver:  linux-modules-extra-4.15.0-32-generic
No candidate ver:  linux-modules-extra-4.15.0-33-generic
No candidate ver:  linux-modules-extra-4.15.0-34-generic
No candidate ver:  linux-modules-extra-4.15.0-36-generic
No candidate ver:  linux-modules-extra-4.15.0-38-generic
No candidate ver:  linux-modules-extra-4.15.0-39-generic
No candidate ver:  linux-modules-extra-4.15.0-43-generic
No candidate ver:  linux-modules-extra-4.15.0-44-generic
No candidate ver:  linux-modules-extra-4.15.0-45-generic
No candidate ver:  linux-modules-extra-4.15.0-46-generic
No candidate ver:  linux-modules-extra-4.15.0-48-generic
No candidate ver:  linux-modules-extra-4.18.0-18-generic
No candidate ver:  linux-modules-extra-5.0.0-13-generic
No candidate ver:  linux-modules-extra-5.0.0-15-generic
No candidate ver:  linux-modules-extra-5.0.0-16-generic
No candidate ver:  linux-modules-extra-5.0.0-17-generic
No candidate ver:  linux-modules-extra-5.0.0-19-generic
No candidate ver:  linux-modules-extra-5.0.0-20-generic
No candidate ver:  linux-modules-extra-5.0.0-21-generic
No candidate ver:  linux-modules-extra-5.0.0-23-generic
No candidate ver:  linux-modules-extra-5.0.0-25-generic
No candidate ver:  mediascanner2.0
No candidate ver:  openoffice-debian-menus
No candidate ver:  python3.5-minimal
No candidate ver:  python3.6-minimal
No candidate ver:  qtubuntu-print
No candidate ver:  rarian-compat
No candidate ver:  repowerd
No candidate ver:  snapd-login-service
No candidate ver:  sni-qt
No candidate ver:  telephony-service
No candidate ver:  thumbnailer-service
No candidate ver:  ubuntu-download-manager
No candidate ver:  ubuntu-printing-app
No candidate ver:  ubuntu-system-settings
No candidate ver:  unetbootin
No candidate ver:  unity-greeter-session-broadcast
No candidate ver:  unity-system-compositor
No candidate ver:  unity-webapps-common
No candidate ver:  unity-webapps-service
No candidate ver:  unity8
No candidate ver:  unity8-desktop-session
No candidate ver:  upstart
No candidate ver:  usermetricsservice
No candidate ver:  webbrowser-app